Index: trunk/LMDZ.MARS/libf/phymars/dyn1d/testphys1d.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/dyn1d/testphys1d.F	(revision 1544)
+++ trunk/LMDZ.MARS/libf/phymars/dyn1d/testphys1d.F	(revision 1549)
@@ -27,4 +27,5 @@
       use mod_interface_dyn_phys, only: init_interface_dyn_phys
       USE phys_state_var_init_mod, ONLY: phys_state_var_init
+      USE physiq_mod, ONLY: physiq
       IMPLICIT NONE
 
@@ -95,5 +96,5 @@
       REAL du(nlayer),dv(nlayer),dtemp(nlayer)
       REAL dudyn(nlayer),dvdyn(nlayer),dtempdyn(nlayer)
-      REAL dpsurf    
+      REAL dpsurf(1)    
       REAL,ALLOCATABLE :: dq(:,:)
       REAL,ALLOCATABLE :: dqdyn(:,:)
@@ -792,5 +793,5 @@
 c       ----------------------------------------------------------
 
-           psurf=psurf+dtphys*dpsurf   ! surface pressure change
+           psurf=psurf+dtphys*dpsurf(1)   ! surface pressure change
            DO ilevel=1,nlevel
              plev(ilevel)=ap(ilevel)+psurf*bp(ilevel)
